<!----------------------------------------------------------------------------------------------------------------------
  -- Main App Component
  --------------------------------------------------------------------------------------------------------------------->

<template>
    <div id="main-app">
        <SiteHeader></SiteHeader>
        <router-view></router-view>
    </div>
</template>

<!--------------------------------------------------------------------------------------------------------------------->

<style lang="scss" scoped>
  #main-app {
    // The 64px is the height of the navbar
    height: calc(100% - 64px);
  }
</style>

<!--------------------------------------------------------------------------------------------------------------------->

<script lang="ts" setup>
    import SiteHeader from './components/ui/siteHeader.vue';
</script>

<!--------------------------------------------------------------------------------------------------------------------->
